package CRSDK;

@SuppressWarnings("unused")
public enum CrPropertyEnableFlag {
    CrEnableValue_NotSupported (-1),
    CrEnableValue_False (0),
    CrEnableValue_True (CrEnableValue_False.getValue()+1),
    CrEnableValue_DisplayOnly (CrEnableValue_False.getValue()+2),
    CrEnableValue_SetOnly (CrEnableValue_False.getValue()+3);

    private final CrInt16 value;
    CrPropertyEnableFlag(int value) {
        this.value = new CrInt16(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
